> ## Documentation Index
> Fetch the complete documentation index at: https://docs.expys.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List VIP members, newest-first, cursor-paged



## OpenAPI

````yaml /api-reference/openapi.json get /v1/members
openapi: 3.0.3
info:
  description: Public REST API for embedding Expys experiences into a client app.
  title: Expys API
  version: 1.1.0
servers:
  - url: https://api.expys.com
    description: >-
      Expys API. Sandbox and live share this host; the environment is selected
      by which key you exchange for a member token, not by the URL.
security: []
paths:
  /v1/members:
    get:
      tags:
        - Members
      summary: List VIP members, newest-first, cursor-paged
      operationId: listMembers
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: tier
          required: false
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMembersResponse'
          description: Response for status 200
          headers:
            X-Request-Id:
              description: >-
                Per-request correlation id. Quote it to support to trace the
                call in the server logs.
              schema:
                type: string
        '401':
          description: Authentication is missing or invalid.
          headers:
            X-Request-Id:
              description: >-
                Per-request correlation id. Quote it to support to trace the
                call in the server logs.
              schema:
                type: string
        '403':
          description: Authenticated, but not permitted to access this resource.
          headers:
            X-Request-Id:
              description: >-
                Per-request correlation id. Quote it to support to trace the
                call in the server logs.
              schema:
                type: string
        '429':
          description: Rate limit exceeded; honor the Retry-After header.
          headers:
            X-Request-Id:
              description: >-
                Per-request correlation id. Quote it to support to trace the
                call in the server logs.
              schema:
                type: string
        '500':
          description: An unexpected server error occurred.
          headers:
            X-Request-Id:
              description: >-
                Per-request correlation id. Quote it to support to trace the
                call in the server logs.
              schema:
                type: string
      security:
        - ApiKeyBearer: []
        - ApiKeyHeader: []
      x-codeSamples:
        - lang: curl
          label: curl
          source: |-
            curl https://api.expys.com/v1/members \
              -H "Authorization: Bearer YOUR_MEMBER_TOKEN"
components:
  schemas:
    ListMembersResponse:
      properties:
        members:
          items:
            $ref: '#/components/schemas/MemberSummary'
          type: array
        nextCursor:
          nullable: true
          type: string
      required:
        - members
        - nextCursor
      type: object
    MemberSummary:
      properties:
        attributes:
          nullable: true
          type: object
          additionalProperties: true
        displayName:
          nullable: true
          type: string
        externalUserID:
          type: string
        redemptionCounts:
          $ref: '#/components/schemas/RedemptionCounts'
        tier:
          type: string
        wallet:
          $ref: '#/components/schemas/Wallet'
      required:
        - attributes
        - displayName
        - externalUserID
        - redemptionCounts
        - tier
        - wallet
      type: object
    RedemptionCounts:
      properties:
        AWAITING_CUSTOMER:
          type: number
        AWAITING_VENDOR:
          type: number
        CANCELED:
          type: number
        COMPLETED:
          type: number
        OPEN:
          type: number
        PURCHASED:
          type: number
        SUBMITTED:
          type: number
      required:
        - AWAITING_CUSTOMER
        - AWAITING_VENDOR
        - CANCELED
        - COMPLETED
        - OPEN
        - PURCHASED
        - SUBMITTED
      type: object
    Wallet:
      properties:
        amountReceived:
          type: number
        amountSpent:
          type: number
        balance:
          type: number
        currency:
          $ref: '#/components/schemas/Currency'
      required:
        - amountReceived
        - amountSpent
        - balance
        - currency
      type: object
    Currency:
      properties:
        name:
          type: string
        symbol:
          type: string
      required:
        - name
        - symbol
      type: object
  securitySchemes:
    ApiKeyBearer:
      description: Org-API-Key as a Bearer token.
      scheme: bearer
      type: http
    ApiKeyHeader:
      description: Org-API-Key as a header.
      in: header
      name: x-api-key
      type: apiKey

````